ata_host_init
Prev | Chapter 4. libata Library | Next

## Name

ata_host_init — Initialize a host struct

## Synopsis

`void ata_host_init (` | struct ata_host * | host,
| struct device * | dev,
| unsigned long | flags,
| const struct ata_port_operations * | ops`)`;

## Arguments

`host`

  host to initialize

`dev`

  device host is attached to

`flags`

  host flags

`ops`

  port_ops

## LOCKING

PCI/etc. bus probe sem.

Prev | Up | Next
ata_host_start | Home | ata_host_register